APIs / DuckDuckGo / Search
DuckDuckGo: Search
Search from DuckDuckGo as JSON. 1 credit per successful call.
GET /v1/duckduckgo/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Required | Up to 499 characters |
kl | string | Optional | Up to 10 characters |
df | string | Optional | d, w, m, y |
safe | boolean | Optional | Any |
start | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/duckduckgo/search?q=laravel+taylor+otwell&kl=us-en&start=0" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.